ProductPackage
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Example response
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"productPackageSlotUid": "text",
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"normPrice": 1,
"components": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]*Example response
^[A-Za-z0-9-_]+POST /v2/tenants/{tenantUid}/products/{productUid}/packages/slots HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 109
{
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"productPackageSlotUid": "text"
}Example response
{
"productPackageSlotUid": "text",
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"normPrice": 1,
"components": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Get product package slot
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Example response
^[A-Za-z0-9-_]+GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"productPackageSlotUid": "text",
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"normPrice": 1,
"components": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Update product package slot
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Example response
^[A-Za-z0-9-_]+PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 78
{
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1
}Example response
{
"productPackageSlotUid": "text",
"name": "text",
"position": 1,
"minComponentsAllowed": 1,
"maxComponentsAllowed": 1,
"normPrice": 1,
"components": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Delete product package slot
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
No Content
No content
DELETE /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
List product package components
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Reference to a specific page in a result set.
The number of items per page in a result set.
Defines which field the resource list is sorted by.
| ENUM | Description |
|---|---|
| ASC | Sort in ascending order |
| DESC | Sort in descending order |
Example response
GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"items": [
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}
],
"paging": {
"pageNumber": 1,
"pageSize": 1,
"totalCount": 1
}
}Create product package component
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
^[A-Za-z0-9-_]+false^[A-Za-z0-9-_]*Example response
^[A-Za-z0-9-_]+POST /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"productUid": "text",
"quantity": 1,
"position": 1,
"specialPrice": 1,
"required": false,
"productPackageComponentUid": "text"
}Example response
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Get product package component
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Reference to a product package component
Example response
^[A-Za-z0-9-_]+GET /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Example response
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Update product package component
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Reference to a product package component
^[A-Za-z0-9-_]*Example response
^[A-Za-z0-9-_]+PUT /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 80
{
"productUid": "text",
"quantity": 1,
"position": 1,
"specialPrice": 1,
"required": true
}Example response
{
"productPackageComponentUid": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text",
"brand": "text",
"description": "text"
},
"position": 1,
"quantity": 1,
"specialPrice": 1,
"required": true,
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Delete product package component
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Product.
^[A-Za-z0-9-_]+Reference to a product package slot
Reference to a product package component
No Content
No content
DELETE /v2/tenants/{tenantUid}/products/{productUid}/packages/slots/{productPackageSlotUid}/components/{productPackageComponentUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No Content
No content
Last updated